"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _Checkbox = _interopRequireDefault(require("../checkboxs/Checkbox"));

var _SearchableSelect = _interopRequireDefault(require("../selects/SearchableSelect"));

var _TextInput = _interopRequireDefault(require("../inputs/TextInput"));

var _styles = require("@material-ui/core/styles");

var _richTextEditor = _interopRequireDefault(require("../../utils/rich-text-editor"));

var _core = require("@material-ui/core");

var _jsxFileName = "/var/www/html/formbuilder/src/utils/date-validation/index.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var dateValidationLabel = {
  en: 'Set Date Validation',
  ar: 'تحديد تاريخ التحقق من الصحة'
};
var reminderNotificationLabel = {
  en: 'Set Reminder/Notification',
  ar: 'تعيين تذكير / إعلام'
};
var setPastDateLabel = {
  en: 'Set Past Date',
  ar: 'تعيين التاريخ الماضي'
};
var setFutureDateLabel = {
  en: 'Set Future Date',
  ar: 'تحديد موعد في المستقبل'
};
var unitLabel = {
  en: 'Unit',
  ar: 'وحدة'
};
var minLabel = {
  en: 'Min',
  ar: 'دقيقة'
};
var maxLabel = {
  en: 'Max',
  ar: 'الأعلى'
};
var dayLabel = {
  en: 'Days',
  ar: 'أيام'
};
var monthLabel = {
  en: 'Months',
  ar: 'الشهور'
};
var yearLabel = {
  en: 'Years',
  ar: 'سنوات'
};
var afterDateLabel = {
  en: 'After Selected Date',
  ar: 'بعد التاريخ المحدد'
};
var beforeDateLabel = {
  en: 'Before Selected Date',
  ar: 'قبل التاريخ المحدد'
};
var cancelLabel = {
  en: 'Cancel',
  ar: 'إلغاء'
};
var updateLabel = {
  en: 'Update',
  ar: 'تحديث'
};
var useStyles = (0, _styles.makeStyles)(function (theme) {
  return {
    ahfb_para_st: {
      fontSize: '1.4rem !important',
      fontFamily: "\"Roboto\", \"Helvetica\", \"Arial\", sans-serif",
      fontWeight: '700 !important',
      lineHeight: '1.5 !important',
      letterSpacing: '0.00938em !important',
      paddingTop: '18px'
    },
    ahfb_para_st_email: {
      fontSize: '1.4rem !important',
      fontFamily: "\"Roboto\", \"Helvetica\", \"Arial\", sans-serif",
      fontWeight: '400 !important',
      lineHeight: '1.5 !important',
      letterSpacing: '0.00938em !important',
      marginTop: '-5px'
    },
    ahfb_editor_st: {
      top: '25% !important',
      left: '30% !important',
      width: '40% !important',
      position: 'absolute !important'
    },
    ahfb_editor_box: {
      background: '#fff',
      padding: '25px 25px 70px 25px',
      borderRadius: '8px'
    },
    ahfb_editor_btn_box: {
      "float": 'right'
    },
    ahfb_btn_primary: {
      color: '#3f51b5',
      border: '1px solid rgba(63, 81, 181, 0.5)',
      background: 'white',
      padding: '8px 20px',
      borderRadius: '4px',
      marginTop: '15px',
      marginRight: '0.5rem !important'
    },
    ahfb_btn_secondary: {
      color: '#fff',
      border: '1px solid rgba(63, 81, 181, 0.5)',
      background: '#3f51b5',
      padding: '8px 20px',
      borderRadius: '4px',
      marginTop: '15px',
      marginRight: '0.5rem !important'
    }
  };
});

function DateValidation(props) {
  var _props$errors, _props$errors$pastLim, _props$errors2, _props$errors2$pastLi, _props$errors3, _props$errors3$future, _props$errors4, _props$errors4$future;

  var classes = useStyles();

  var _React$useState = _react["default"].useState(null),
      anchorEl = _React$useState[0],
      setAnchorEl = _React$useState[1];

  var open = Boolean(anchorEl);
  var id = open ? 'simple-popper' : undefined;
  var durationOptions = [{
    label: dayLabel[props.currentLang],
    value: 'days'
  }, {
    label: monthLabel[props.currentLang],
    value: 'months'
  }, {
    label: yearLabel[props.currentLang],
    value: 'years'
  }];
  var selectedDateOptions = [{
    label: afterDateLabel[props.currentLang],
    value: 'after'
  }, {
    label: beforeDateLabel[props.currentLang],
    value: 'before'
  }];

  var _React$useState2 = _react["default"].useState(false),
      opens = _React$useState2[0],
      setOpens = _React$useState2[1];

  var handleOpen = function handleOpen() {
    return setOpens(true);
  };

  var handleClose = function handleClose() {
    return setOpens(false);
  };

  return /*#__PURE__*/_react["default"].createElement("div", {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 147,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react["default"].createElement("row", {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 148,
      columnNumber: 7
    }
  }, /*#__PURE__*/_react["default"].createElement(_Checkbox["default"], {
    checked: props.shouldDateValidate,
    handleChange: function handleChange(val) {
      return props.handleChange(val, 'shouldDateValidate');
    },
    label: dateValidationLabel[props.currentLang],
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 149,
      columnNumber: 9
    }
  }), props.shouldDateValidate ? /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    container: true,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 151,
      columnNumber: 11
    }
  }, /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    item: true,
    xs: 12,
    className: "mb-2",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 152,
      columnNumber: 13
    }
  }, /*#__PURE__*/_react["default"].createElement(_Checkbox["default"], {
    checked: props.shouldPastDateValidate,
    handleChange: function handleChange(val) {
      return props.handleChange(val, 'shouldPastDateValidate');
    },
    label: setPastDateLabel[props.currentLang],
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 153,
      columnNumber: 15
    }
  })), props.shouldPastDateValidate && /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    container: true,
    spacing: 3,
    className: "mt-4",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 156,
      columnNumber: 15
    }
  }, /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    item: true,
    xs: 12,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 157,
      columnNumber: 17
    }
  }, /*#__PURE__*/_react["default"].createElement(_SearchableSelect["default"], {
    label: unitLabel[props.currentLang],
    options: durationOptions,
    handleChange: function handleChange(e) {
      return props.handleChange(e.target.value, 'pastUnit');
    },
    value: props.pastUnit,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 158,
      columnNumber: 19
    }
  })), /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    item: true,
    xs: 12,
    container: true,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 160,
      columnNumber: 17
    }
  }, /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    item: true,
    xs: 6,
    className: "ahfb-pr-1",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 161,
      columnNumber: 19
    }
  }, /*#__PURE__*/_react["default"].createElement(_TextInput["default"], {
    type: "number",
    label: minLabel[props.currentLang],
    value: props.pastMin,
    handleChange: function handleChange(e) {
      return props.handleChange(e.target.value, 'pastMin');
    },
    error: (_props$errors = props.errors) == null ? void 0 : (_props$errors$pastLim = _props$errors.pastLimitValidation) == null ? void 0 : _props$errors$pastLim.min,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 162,
      columnNumber: 21
    }
  })), /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    item: true,
    xs: 6,
    className: "ahfb-pl-1",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 164,
      columnNumber: 19
    }
  }, /*#__PURE__*/_react["default"].createElement(_TextInput["default"], {
    type: "number",
    label: maxLabel[props.currentLang],
    value: props.pastMax,
    handleChange: function handleChange(e) {
      return props.handleChange(e.target.value, 'pastMax');
    },
    error: (_props$errors2 = props.errors) == null ? void 0 : (_props$errors2$pastLi = _props$errors2.pastLimitValidation) == null ? void 0 : _props$errors2$pastLi.max,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 165,
      columnNumber: 21
    }
  })))), /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    item: true,
    xs: 12,
    className: "mb-2",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 170,
      columnNumber: 13
    }
  }, /*#__PURE__*/_react["default"].createElement(_Checkbox["default"], {
    checked: props.shouldFutureDateValidate,
    handleChange: function handleChange(val) {
      return props.handleChange(val, 'shouldFutureDateValidate');
    },
    label: setFutureDateLabel[props.currentLang],
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 171,
      columnNumber: 15
    }
  })), props.shouldFutureDateValidate && /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    container: true,
    spacing: 3,
    className: "mt-4",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 174,
      columnNumber: 15
    }
  }, /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    item: true,
    xs: 12,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 175,
      columnNumber: 17
    }
  }, /*#__PURE__*/_react["default"].createElement(_SearchableSelect["default"], {
    label: unitLabel[props.currentLang],
    options: durationOptions,
    handleChange: function handleChange(e) {
      return props.handleChange(e.target.value, 'futureUnit');
    },
    value: props.futureUnit,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 176,
      columnNumber: 19
    }
  })), /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    item: true,
    xs: 12,
    container: true,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 178,
      columnNumber: 17
    }
  }, /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    item: true,
    xs: 6,
    className: "ahfb-pr-1",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 179,
      columnNumber: 19
    }
  }, /*#__PURE__*/_react["default"].createElement(_TextInput["default"], {
    type: "number",
    label: minLabel[props.currentLang],
    value: props.futureMin,
    handleChange: function handleChange(e) {
      return props.handleChange(e.target.value, 'futureMin');
    },
    error: (_props$errors3 = props.errors) == null ? void 0 : (_props$errors3$future = _props$errors3.futureLimitValidation) == null ? void 0 : _props$errors3$future.min,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 180,
      columnNumber: 21
    }
  })), /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    item: true,
    xs: 6,
    className: "ahfb-pl-1",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 182,
      columnNumber: 19
    }
  }, /*#__PURE__*/_react["default"].createElement(_TextInput["default"], {
    type: "number",
    label: maxLabel[props.currentLang],
    value: props.futureMax,
    handleChange: function handleChange(e) {
      return props.handleChange(e.target.value, 'futureMax');
    },
    error: (_props$errors4 = props.errors) == null ? void 0 : (_props$errors4$future = _props$errors4.futureLimitValidation) == null ? void 0 : _props$errors4$future.max,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 183,
      columnNumber: 21
    }
  }))))) : ""), /*#__PURE__*/_react["default"].createElement("br", {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 192,
      columnNumber: 7
    }
  }), /*#__PURE__*/_react["default"].createElement("row", {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 194,
      columnNumber: 7
    }
  }, /*#__PURE__*/_react["default"].createElement(_Checkbox["default"], {
    checked: props.isReminder,
    handleChange: function handleChange(val) {
      return props.handleReminderChange(val == true ? 1 : 0, 'isReminder');
    },
    label: reminderNotificationLabel[props.currentLang],
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 195,
      columnNumber: 9
    }
  }), props.isReminder ? /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    container: true,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 198,
      columnNumber: 11
    }
  }, /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    container: true,
    spacing: 3,
    className: "mt-4",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 199,
      columnNumber: 13
    }
  }, /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    item: true,
    xs: 12,
    container: true,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 200,
      columnNumber: 15
    }
  }, /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    item: true,
    xs: 4,
    className: "ahfb-pr-1",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 201,
      columnNumber: 17
    }
  }, /*#__PURE__*/_react["default"].createElement("div", {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 202,
      columnNumber: 19
    }
  }, /*#__PURE__*/_react["default"].createElement(_TextInput["default"], {
    type: 'text',
    handleChange: function handleChange(e) {
      return props.handleReminderChange(Number.isInteger(parseInt(e.target.value)) ? e.target.value : '', 'quantity');
    },
    value: props.quantity,
    inputProps: {
      maxLength: 3
    },
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 203,
      columnNumber: 21
    }
  }))), /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    item: true,
    xs: 4,
    className: "ahfb-pr-1",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 214,
      columnNumber: 17
    }
  }, /*#__PURE__*/_react["default"].createElement(_SearchableSelect["default"], {
    options: durationOptions,
    handleChange: function handleChange(e) {
      var _e$target;

      return props.handleReminderChange(e == null ? void 0 : (_e$target = e.target) == null ? void 0 : _e$target.value, 'reminderType');
    },
    value: props.reminderType,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 215,
      columnNumber: 19
    }
  })), /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    item: true,
    xs: 4,
    className: "ahfb-pl-1",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 217,
      columnNumber: 17
    }
  }, /*#__PURE__*/_react["default"].createElement(_SearchableSelect["default"], {
    options: selectedDateOptions,
    handleChange: function handleChange(e) {
      var _e$target2;

      return props.handleReminderChange(e == null ? void 0 : (_e$target2 = e.target) == null ? void 0 : _e$target2.value, 'conditions');
    },
    value: props.conditions,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 218,
      columnNumber: 17
    }
  }), "  "))), /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    item: true,
    xs: 12,
    container: true,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 223,
      columnNumber: 13
    }
  }, /*#__PURE__*/_react["default"].createElement("p", {
    className: classes.ahfb_para_st,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 224,
      columnNumber: 15
    }
  }, "Reminder/Notification Email", /*#__PURE__*/_react["default"].createElement("svg", {
    onClick: handleOpen,
    "class": "MuiSvgIcon-root MuiSvgIcon-colorAction MuiSvgIcon-fontSizeSmall text-inline",
    focusable: "false",
    viewBox: "0 0 24 24",
    "aria-hidden": "true",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 225,
      columnNumber: 17
    }
  }, /*#__PURE__*/_react["default"].createElement("path", {
    d: "M3 17.25V21h3.75L17.81 9.94l-3.75-3.75L3 17.25zM20.71 7.04c.39-.39.39-1.02 0-1.41l-2.34-2.34a.9959.9959 0 00-1.41 0l-1.83 1.83 3.75 3.75 1.83-1.83z",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 225,
      columnNumber: 184
    }
  })))), /*#__PURE__*/_react["default"].createElement(_core.Grid, {
    item: true,
    xs: 12,
    container: true,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 229,
      columnNumber: 13
    }
  }, /*#__PURE__*/_react["default"].createElement("p", {
    className: classes.ahfb_para_st_email,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 230,
      columnNumber: 15
    }
  }, "Email sent to users based on set parameters."), /*#__PURE__*/_react["default"].createElement(_core.Modal, {
    open: opens,
    onClose: handleClose,
    className: classes.ahfb_editor_st,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 232,
      columnNumber: 15
    }
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: classes.ahfb_editor_box,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 238,
      columnNumber: 17
    }
  }, /*#__PURE__*/_react["default"].createElement("p", {
    className: classes.ahfb_para_st_email,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 239,
      columnNumber: 19
    }
  }, "Update"), /*#__PURE__*/_react["default"].createElement(_richTextEditor["default"], {
    data: props.template_html,
    handleChange: function handleChange(data) {
      return props.handleReminderChange(data, 'template_html');
    },
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 240,
      columnNumber: 19
    }
  }), /*#__PURE__*/_react["default"].createElement("div", {
    className: classes.ahfb_editor_btn_box,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 244,
      columnNumber: 19
    }
  }, /*#__PURE__*/_react["default"].createElement("button", {
    variant: "outlined",
    color: "primary",
    className: classes.ahfb_btn_primary,
    onClick: function onClick() {
      handleClose();
    },
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 245,
      columnNumber: 21
    }
  }, "Cancel"), /*#__PURE__*/_react["default"].createElement("button", {
    className: classes.ahfb_btn_secondary,
    onClick: function onClick() {
      props.handleReminderChange(props.template_html, 'template_html');
      handleClose();
    },
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 250,
      columnNumber: 21
    }
  }, "Update")))))) : ""));
}

var _default = DateValidation;
exports["default"] = _default;
module.exports = exports.default;